[Rubygems-developers] [ rubygems-Bugs-25998 ] Had > instead of ~> in docs for specifying a pessimist

noreply at rubyforge.org noreply at rubyforge.org
Fri May 22 04:34:15 EDT 2009


Bugs item #25998, was opened at 2009-05-22 18:34
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=25998&group_id=126

Category: documentation
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: David Miani (nanothief)
Assigned to: Nobody (None)
Summary: Had > instead of ~> in docs for specifying a pessimist

Initial Comment:
While reading chapter 5 of the user guide (http://rubygems.org/read/chapter/16), in the section about PessimisticVersionContraints, I came across this:

-----
...Doing this is cumbersome, so RubyGems provides a pessimistic operator ~~> (read: approximately greater than). Using the pessimistic operator, we get:

gem 'library', '> 2.2'
-----

The pessimistic operators is first said to be '~~>', but the example uses '>'. From trying these examples in irb, I think both are wrong, and the correct operator is '~>'. So I think the section should read:

-----
...Doing this is cumbersome, so RubyGems provides a pessimistic operator ~> (read: approximately greater than). Using the pessimistic operator, we get:

gem 'library', '~> 2.2'
-----

Also there is a minor formatting problem, the text "(read: approximately greater than). Using the pessimistic operator, we get:" uses the coding style instead of the normal style.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=25998&group_id=126


More information about the Rubygems-developers mailing list